Bug 100929 - winbindd broken in Samba-3.0.0-1beta3 package
Summary: winbindd broken in Samba-3.0.0-1beta3 package
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-27 14:23 UTC by Alan Sanderson
Modified: 2014-08-31 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-17 16:11:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Sanderson 2003-07-27 14:23:18 UTC
Description of problem:
After upgrading from Samba-2.2.8a-2.10 RPM package to Samba-3.0.0-1beta3 package
winbindd will not start up.

Version-Release number of selected component (if applicable):
rpm -qa | grep samba
redhat-config-samba-1.0.8-1
samba-swat-3.0.0-1beta3
samba-3.0.0-1beta3
samba-common-3.0.0-1beta3
samba-client-3.0.0-1beta3

uname -a
Linux k6-2-500-rhl9 2.4.20-19.9 #1 Tue Jul 15 17:03:15 EDT 2003 i586 i586 i386
GNU/Linux


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    
Actual results:
windbindd does not start

Expected results:
windbindd starts

Additional info:
System is Redhat Linux 9.0 with all packages upgraded to what is available from
rawhide.

Comment 1 Jay Fenlason 2003-07-29 21:34:05 UTC
I'll need to see your /etc/samba/smb.conf file to have any chance of debugging this.  Also, the 
contents of /var/log/winbindd.log might be useful. 
 
My offhand guess would be that your smb.conf file either contains entries that are not 
supported by samba-3.0 or does not contain entries that samba-3.0 requires, but without the 
smb.conf file I can only guess. 

Comment 2 Alan Sanderson 2003-07-30 13:01:43 UTC
smb.conf

# Samba config file created using SWAT
# from 127.0.0.1 (127.0.0.1)
# Date: 2003/07/27 13:25:04

# Global parameters
[global]
	workgroup = ALANS
	server string = Samba Server
	min passwd length = 8
	obey pam restrictions = Yes
	guest account = 
	pam password change = Yes
	passwd program = /usr/bin/passwd %u
	passwd chat = *New*password* %n\n *Retype*new*password* %n\n
*passwd:*all*authentication*tokens*updated*successfully*
	unix password sync = Yes
	log file = /var/log/samba/%m.log
	max log size = 0
	announce version = 5.1
	socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
	dns proxy = No
	wins support = Yes
	ldap ssl = no
	invalid users = nobody
	printing = cups

[homes]
	comment = Home Directories
	valid users = %S
	read only = No
	create mask = 0664
	directory mask = 0775
	browseable = No

[printers]
	comment = All Printers
	path = /var/spool/samba
	printable = Yes
	browseable = No


winbindd.log

[2003/07/27 12:34:46, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 12:34:46, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/27 12:34:52, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 12:34:52, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/27 12:35:18, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 12:35:18, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/27 13:26:04, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 13:26:04, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/27 13:26:15, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 13:26:15, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/27 13:29:55, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/27 13:29:55, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 00:06:51, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 00:06:51, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 00:06:54, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 00:06:54, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 18:38:58, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 18:38:58, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 19:24:01, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 19:24:01, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 19:42:09, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 19:42:09, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 20:00:41, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 20:00:41, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 20:30:37, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 20:30:37, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.
[2003/07/28 21:03:08, 0] nsswitch/winbindd_util.c:winbindd_param_init(379)
  winbindd: idmap uid range missing or invalid
[2003/07/28 21:03:08, 0] nsswitch/winbindd_util.c:winbindd_param_init(380)
  winbindd: cannot continue, exiting.

Comment 3 Jay Fenlason 2003-07-31 16:26:58 UTC
Your smb.conf file is lacking the "idmap uid" field that Samba 3.0's winbindd requires in order 
to run.  Read /usr/share/doc/samba-3.0.0/docs/Samba-HOWTO-Collection.pdf, add all the 
fields that winbindd requires, and try again.  If it still doesn't work, post your new smb.conf file 
and any new messages in winbindd.log 

Comment 4 Alan Sanderson 2003-08-17 16:11:07 UTC
Yep that did the trick, thanks.



Note You need to log in before you can comment on or make changes to this bug.